# Copyright (c) 2015, InfluxFramework LLC
# License: MIT. See LICENSE

import influxframework
from influxframework.model.document import Document


class UnhandledEmail(Document):
	pass


def remove_old_unhandled_emails():
	influxframework.db.delete(
		"Unhandled Email", {"creation": ("<", influxframework.utils.add_days(influxframework.utils.nowdate(), -30))}
	)
